## dojox.cometd.demo
Class BayeuxStartupListener.ChatService

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          dojox.cometd.demo.BayeuxStartupListener.ChatService

Enclosing class:
  BayeuxStartupListener

    public static class BayeuxStartupListener.ChatService

extends BayeuxService

Constructor Summary
`BayeuxStartupListener.ChatService(Bayeux bayeux)`

Method Summary
`void` `trackMembers(Client joiner, String channel, Map<String,Object> data, String id)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, send, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxStartupListener.ChatService

    public BayeuxStartupListener.ChatService(Bayeux bayeux)

Method Detail

### trackMembers

    public void trackMembers(Client joiner,
                             String channel,
                             Map<String,Object> data,
                             String id)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.